<?php

/**
 * @author Bettina Schwarzer, Fritz-Haber-Institut
 * @copyright 08/2011
 * 
 * Anlisten Info - INSERT/UPDATE-Daten
 */

            echo "<table>\n";
            echo "<tr><td>Infotitel: </td><td>" . $inf["iname"] . "<td></td></tr>\n";
            echo "<tr><td>Kurzinfo: </td><td>" . nl2br($inf["ilong"]) . "<td></td></tr>\n";
            // Infoyp
            $sql = "SELECT infotyp_ID, infotyp_bez FROM Info_Typ
                        WHERE infotyp_ID = '" . $inf['ityp'] . "'";
            if ($result = $dbc->queryObjectArray($sql))
            {
                foreach ($result as $row)
                echo "<tr><td>Infoyp: </td><td>" . $row->infotyp_bez . "</td></tr>\n";
            }
            if (is_object($idat)) $sdat = $idat->format('d.m.Y'); else $sdat = "&nbsp;";
            echo "<tr><td>Erstellungsdatum: </td><td>$sdat</td></tr>\n";
            if (is_object($bdat)) $sdat = $bdat->format('d.m.Y'); else $sdat = "&nbsp;";
            echo "<tr><td>g&uuml;ltig ab: </td><td>$sdat</td></tr>\n";
            if (is_object($edat)) $sdat = $edat->format('d.m.Y'); else $sdat = "&nbsp;";
            echo "<tr><td>g&uuml;ltig bis: </td><td>$sdat</td></tr>\n";
            // Autor
            if ($inf["pers"])
            { 
                $sql = "SELECT CONCAT (nachname, ', ',vorname) as pname FROM fhiiqm.Mitarbeiter WHERE persknr=" . $inf["pers"] . " ORDER BY pname";
                if ($result = $dbc->queryObjectArray($sql))
                {
                    foreach ($result as $row)
                    echo "<tr><td>Autor: </td><td>" . $row->pname. "</td></tr>\n";
                }
            }
            // Produkt
            if (is_array($inf["prid"]) && count($inf["prid"])>0)
            {
                $eins = true;
                foreach ($inf["prid"] as $pid)
                {
                    if ($pid>0)
                    {
                        $sql = "SELECT prod_name FROM Produkt WHERE produkt_ID = $pid";
                        if ($result = $dbc -> queryObjectArray($sql))
                        {
                            foreach ($result as $row)
                            {
                                if ($eins)
                                    echo "<tr><td>zugeordnet zu: </td><td>" .  $row->prod_name. "</td></tr>\n";
                                else
                                    echo "<tr><td>&nbsp; </td><td>" .  $row->prod_name. "</td></tr>\n";
                            }    
                        }
                        $eins = false;                    
                    }
                }    
             }   
            // Adressat
            if (is_array($inf['adr']))
            {
                $eins = true;
                foreach ($inf['adr'] as $adr)
                {
                    if ($adr != -1)
                    { 
                        $sql = "SELECT info_adr_name FROM Adressat WHERE info_adr_id = $adr";
                        if ($result = $dbc->queryObjectArray($sql))
                        {
                            foreach ($result as $row)
                            {
                                if ($eins)
                                    echo "<tr><td>Adressat: </td><td>$row->info_adr_name</td></tr>\n";
                                else
                                    echo "<tr><td>&nbsp; </td><td>$row->info_adr_name</td></tr>\n";
                            }
                        }
                        $eins = false;                    
                    }
                }
            }
            // Bezug zu anderer Info
            if ($inf["infrel"])
            {
                $sql = "SELECT info_name_s FROM Info WHERE info_ID = " . $inf["infrel"];
                if ($result = $dbc->queryObjectArray($sql))
                {
                    foreach ($result as $row)
                    echo "<tr><td>bezieht sich auf Info: </td><td>" . $row->info_name_s . "</td></tr>\n";
                }
            }
            echo "<tr><td>Sprache: </td><td>" . $inf["lang"] . "</td></tr>\n";
            if (file_exists("infos/$ifile"))
                echo "<tr><td>Dateibezeichnung Info: </td><td><a href='infos/$ifile'>" . $ifile. "</a></td></tr>\n";
            else
                echo "<tr><td>Dateibezeichnung Info: </td><td>$ifile</td></tr>\n";
            echo "</table>\n";

?>