<?php

/**
 * @author Bettina Schwarzer, Fritz-Haber-Institut
 * @copyright 06/2011
 * 
 * Anlisten Vertrag - INSERT/UPDATE-Daten
 */

            echo "<table>\n";
            echo "<tr><td>Vertragsbezeichnung: </td><td>" . $vtr['cname']. "</td></tr>\n";
//            echo "<tr><td>Vertrag-Titel: </td><td>" . $vtr['cshort']. "</td></tr>\n";
            echo "<tr><td>Vertrag-Beschreibung: </td><td>" . $vtr['clong']. "</td></tr>\n";
            
            $sql = "SELECT vtyp_ID, vtyp_bezeichnung FROM Vertrag_Typ WHERE vtyp_ID=" . $vtr['vtyp'];
            if ($result = $dbc->queryObjectArray($sql))
            {
                foreach ($result as $row)
                echo "<tr><td>Vertrag-Typ: </td><td>" . $row->vtyp_bezeichnung. "</td></tr>\n";
            }
                   
//            if (!is_null($vbegin)) $vbd = $vtr['btag'] . "." . $vtr['bmon'] . "." . $vtr['bjahr']; else $vdb=null;
//            if (!is_null($vend)) $ved = $vtr['etag'] . "." . $vtr['emon'] . "." . $vtr['ejahr']; else $vdb=null;
            if (is_object($vbegin)) $vbd = $vbegin->format('d.m.Y'); else $vbd = "&nbsp;";
            if (is_object($vend)) $ved = $vend->format('d.m.Y'); else $ved = "&nbsp;";
            echo "<tr><td>Vertrag-Beginn: </td><td>" . $vbd. "</td></tr>\n";
            echo "<tr><td>Vertrag-Ende: </td><td>" . $ved. "</td></tr>\n";

            echo "<tr><td>Kndigungsfrist (mon vor V-Ende): </td><td>" . $vtr['cnot'] . "</td></tr>\n";
            // Partner
            $sql = "SELECT part_firma FROM Partner WHERE part_ID = $pid";
            if ($result = $dbc -> queryObjectArray($sql))
            {
                foreach ($result as $row)
                    echo "<tr><td>Partner: </td><td>" .  $row->part_firma. "</td></tr>\n";
            }
            //Bearbeiter 
            if (is_array($vtr['cpers']))
            foreach ($vtr['cpers'] as $pers)
            {
                if ($pers != -1)
                { 
                    $sql = "SELECT CONCAT (nachname, ', ',vorname) as pname FROM fhiiqm.Mitarbeiter WHERE persknr=$pers ORDER BY pname";
                    if ($result = $dbc->queryObjectArray($sql))
                    {
                        foreach ($result as $row)
                        echo "<tr><td>Bearbeiter: </td><td>" . $row->pname. "</td></tr>\n";
                    }
                }
            }
            // Kosten
            echo "<tr><td>j&auml;hrliche Kosten: </td><td>";
            $j=0;
            if ($vtr['ejahr']) // Endjahr angegeben
            {
                for ($i=(int)$vtr['bjahr']; $i< (int)$vtr['ejahr'] +1; $i++)
                {
                    if ($vtr['kost'][$j])
                    {
                        echo "$i: ". $vtr['kost'][$j] ."  <br />";
                    }
                    $j++;   
                }
            }
            else // nur fuer Startjahr
                echo $vtr['bjahr'].": ". $vtr['kost'][$j] ."  ";
            // Produkt
            $sql = "SELECT prod_name FROM Produkt WHERE produkt_ID = " . $vtr['prodid'];
            if ($result = $dbc -> queryObjectArray($sql))
            {
                foreach ($result as $row)
                    echo "<tr><td>zugeordnet zu: </td><td>" .  $row->prod_name. "</td></tr>\n";
            }
                
            echo "</td></tr>\n";
            if (file_exists("documents/$cfile"))
                echo "<tr><td>Dateibezeichnung Dokument: </td><td><a href='documents/$cfile'>" . $cfile. "</a></td></tr>\n";
            else
                echo "<tr><td>Dateibezeichnung Dokument: </td><td>$cfile</td></tr>\n";
            echo "<tr><td>Bemerkung: </td><td>" . nl2br($vtr['cbem']). "</td></tr>\n";
            echo "</table>\n";   


?>