<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
   	<link href="css/db.css" rel="STYLESHEET" type="TEXT/CSS" /> 

	<title>Produkthierarchie</title>
</head>

<body>
    <div class="float-r"><img src="img/node-tree.png" border="0" alt="Produkte" title="Produkte"/></div>

<?php

/**
 * @author Bettina Schwarzer, Fritz-Haber-Institut
 * @copyright 06/2011
 * 
 * Suche und Anzeige Produkthierarchien
 */

    error_reporting(E_ALL ^ E_NOTICE);
    
    $prods = $_POST['prods'];
    $submit = $_POST['search'];

    include_once("inc/dbconnect.inc.php");
	$dbc = new dbconnection();

    echo "<div align='center'>\n";
    
    if (!$submit)
    {
    ?>
        <p><b>Suche Produkthierarchie</b><br /><br />
            Sie knnen einen Produktbereich und/oder eine Produktgruppe whlen oder<br />
            die gesamte Hierarchie anschauen, indem Sie nur auf 'suchen' klicken.  
        </p>
        <form action="<?php $_SERVER['PHP_SELF'] ?>" method="post" enctype="application/x-www-form-urlencoded" name="form_prod_search" target="_self">	
        <!-- <form action="<?php $_SERVER['PHP_SELF'] ?>" method="post" enctype="multipart/form-data" name="form_prod_search" target="_self"> -->	
        <table width="50%" border="0" cellspacing="3" cellpadding="3">
        <tr>
            <td>Produktbereich</td>
            <td><select name="prods[ber]" onchange="this.form.submit();">
                <?php 
                    if ($prods['ber'] == 0) $select = " selected "; else $select = "";
                    echo "<option $select value=\"0\"></option>\n";
                    $sql = "SELECT prod_ber_ID, prod_ber_name FROM Produkt_Bereich ORDER BY 2";
                    if ($result = $dbc->queryObjectArray($sql))
                    {
                        foreach ($result as $row)
                        {
                            if ($row->prod_ber_ID == $prods['ber'])
        					   echo "<option selected value=\"$row->prod_ber_ID\">$row->prod_ber_name ($row->prod_ber_ID)</option>\n";
        				    else
        					   echo "<option value=\"$row->prod_ber_ID\">$row->prod_ber_name ($row->prod_ber_ID)</option>\n";
                        }
                }
                ?>
                </select>
            </td>
        </tr>
        <tr>
            <td>Produktgruppe</td>
            <td><select name="prods[grp]">
                <?php 
                    if ($prods['grp'] == 0) $select = " selected "; else $select = "";
                    echo "<option $select value=\"0\"></option>\n";
                    if (isset($prods['ber'])) $where = "WHERE prod_ber_ID = " . $prods['ber']; else $where = "";
                    $sql = "SELECT prod_group_ID, prod_group_name, prod_group_hier FROM Produkt_Gruppe $where ORDER BY 2";
                    if ($result = $dbc->queryObjectArray($sql))
                    {
                        foreach ($result as $row)
                        {
                            if ($row->prod_group_ID == $prods['grp'])
        					   echo "<option selected value=\"$row->prod_group_ID\">$row->prod_group_name ($row->prod_group_hier)</option>\n";
        				    else
        					   echo "<option value=\"$row->prod_group_ID\">$row->prod_group_name ($row->prod_group_hier)</option>\n";
                        }
                }
                ?>
                </select>
            </td>
        </tr>
    <?php
		echo "<tr>\n";
		echo "
		  <td>&nbsp;</td>
		  <td align=\"left\"><input class=\"button\" type=\"submit\" value=\"suchen\" name=\"search\" title=\"search\" /></td>\n";
		echo "</tr>\n";
        echo "</table>\n";
        echo "</div>\n";
        echo "</form>\n";	
        echo "</div>\n";
    }
    else
    {
        if ($prods['ber'] || $prods['grp'])
        {
            if (!$prods['grp']) $prods['grp']=0;
            if (!$prods['ber']) $prods['ber']=0;
        }
        else
        {
            $prods['ber']=0;
            $prods['grp']=0;
        }
        
        $sql = "CALL prod_hiera_all(" .$prods['ber'].",".$prods['grp'].")";
    		if ($result = $dbc->queryObjectArray($sql))
    		{
    //			printf ("<p>Es wurden %s Saetze gefunden.</p>", $dbc->numrows($sql));
    			$bg1 = "#F8F8F8";
    			$bg2 = "#DEDFE1";
    			$bg = "#FFFFFF";
    			echo "<p><b>Produkthierarchie</b></p>\n";
                echo "<p>Die Produkte (unterste Hierarchieebene) knnen Sie mittels Klick auf '<img src=\"img/edit.gif\" alt='edit' title='edit' border='0'/>' editiern</p>\n";
    			echo "<table cellpadding='2'>";
    			echo "<tr bgcolor='#68ACBF'><th align='left'>Hierar.</th><th>&nbsp;</th>
    				<th align='left'>Produkt-Kategorie</th><th align='left'>AG (Abteilung)</th><th align='left'>Wichtigkeit</th><th align='left'>Bindungsst&auml;rke</th><th align='left'>Bemerkung</th></tr>\n";
    			foreach($result as $row)
    			{
    				if ($bg == $bg1) $bg = $bg2; else $bg = $bg1;
                    if (strlen($row->bez) > 70) 
                        $prod=str_replace(" ","&nbsp;&nbsp;",htmlentities(substr($row->bez,0,70))) ."..."; 
                    else 
                        $prod=str_replace(" ","&nbsp;&nbsp;",htmlentities($row->bez));
                    if ($row->level == 4)
                        $hier="<a href='produkt_upd.php?uid=$row->prid'><img src=\"img/edit.gif\" alt='edit' title='edit' border='0'/></a>";
                    else
                        $hier="&nbsp;";
    				print "<tr bgcolor='" . $bg . "'><td>$row->hier</td><td> $hier</td>
                        <td>$prod</td><td>$row->ag</td><td>$row->imp</td><td>$row->conn</td><td>$row->bem</td></tr>";
    			}
    				echo "</table>\n";
    //			$dbc->close();
    		}
    		else
    			echo "leider kein Ergebnis!<br>\n";
    		if ($result = $dbc -> querySingleItem("SELECT COUNT(*) FROM produkt"))
    		{
    			echo "<p>Tabelle 'produkt' enthaelt $result Eintraege</p>\n";
    		}
        echo "</div>\n";
        echo "<p>&nbsp;&nbsp;&nbsp;<a href=\"prod_hier.php\" target=\"_self\" title=\"Produkthierarchie\">neue Suche Produkthierarchie</a></p>\n";    
        echo "<p>&nbsp;&nbsp;&nbsp;<a href=\"produkt_ins.php\" target=\"_self\" title=\"Produkt erfassen\">Produkt erfassen</a></p>\n";    
    }

?>
</body>
</html>