<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
   	<link href="css/db.css" rel="STYLESHEET" type="TEXT/CSS" /> 

	<title>Eingabe Produkte</title>
</head>

<body>
    <div class="float-r"><img src="img/node-tree.png" border="0" alt="Produktdaten eingeben" title="Produktdaten eingeben"/></div>

<?php

/**
 * @author Bettina Schwarzer, Fritz-Haber-Institut
 * @copyright 07/2011
 * 
 * INSERT Produkt
 */

    error_reporting(E_ALL ^ E_NOTICE);
    
	include_once($_SERVER['DOCUMENT_ROOT'] ."/fhiiqm/inc/dbconnect.inc.php");
	//$dbc = new dbconnection();
    
	$ok		= $_POST["ok"];
	$submit	= $_POST["ins"];
    $prod    = $_POST["prod"];
    if (!$prod['okn']) $ok=false;
    
//    print_r($prd);
//    echo "<br><br>\n";
    
    if (!$ok || !$submit)
    {
        include_once("form/produkt_form.inc.php");
        
        if ($submit == "eingeben" )
		{
		  	$frage = "Alle Angaben ok?";
			echo "<tr>
			  <td class=\"red\" valign=\"top\" align=\"left\">$frage</td>
			        <td align=\"left\"><input type=\"checkbox\" name=\"ok\" value=\"1\"";
			        if ($ok)  echo "checked"; 
			echo "></td>\n</tr>\n"; 
		}
		
		echo "<tr>\n";
		echo "
		  <td>&nbsp;</td>
		  <td align=\"left\"><input class=\"button\" type=\"submit\" value=\"eingeben\" name=\"ins\" title=\"insert\" /></td>\n";
		echo "</tr>\n";
        echo "</table>\n";
        echo "</div>\n";
        echo "</form>\n";	
  
    }
    else
    {
        if (!isset($dbc) || !$dbc) 
            $dbc = new dbconnection();
            
        // Daten speichern
        echo "<div align='center'>\n";
        $prod['pname'] = substr($prod['pname'],0,200);
        if ($prod['pbem']) $prod['pbem']=substr($prod['pbem'],0,500); else $prod['pbem']=null;
        if ($prod['ag']== -1) $prod['ag']= null;
        if ($prod['imp']== -1) $prod['imp'] = null;
        if ($prod['conn']== -1) $prod['conn'] = null;
        
        // Produkt-Nr.
        $sql = "SELECT COUNT(*) FROM Produkt WHERE produkt_ID = " . $prod['pnr'];
        $anz = $dbc -> querySingleItem($sql);
        if ($anz == 1)
        {
            // max produkt_ID ermitten, um neue ID zu erhalten
            $sql = "SELECT MAX(produkt_ID) FROM Produkt";
            $mp = $dbc -> querySingleItem($sql);
            $prod['pnr'] = $mp + 1;
        }
        
        // Hierarchie ermitteln
        $sql = "SELECT prod_ber_ID FROM Produkt_Gruppe WHERE prod_group_ID = " . $prod['grp'];
        $bid = $dbc -> querySingleItem($sql);
        $phier = $bid . "-" . $prod['grp'] . "-" . $prod['pnr'];
/*        
        if ($prod['pbem']) $prod['pbem']="'" . str_replace("'","\"",substr($prod['pbem'],0,500)) . "'"; else $prod['pbem']="NULL";
        if ($prod['ag']== -1) $ag = "NULL"; else $ag = "'" . $prod['ag'] . "'";
        if ($prod['imp']== -1) $prod['imp'] = "NULL";
        if ($prod['conn']== -1) $prod['conn'] = "NULL";
        $sql = "INSERT INTO Produkt (produkt_ID,prod_name,prod_group_ID,produkt_hier,ag_ID,imp_ID,conn_ID,Bemerkung) 
                VALUES (" . 
                $prod['pnr'] . ", '" .
                $prod['pname'] . "', " .
                $prod['grp'] . ", '" .
                $phier . "', " .
                $ag . ", " .
                $prod['imp'] . ", " .
                $prod['conn'] . ", " .
                $prod['pbem'] . 
                ") ";
        $result=$dbc->execute($sql);
*/
        $stmt = $dbc -> stmtinit();
        if (is_object($stmt))
        {
            $stmt -> prepare("INSERT INTO Produkt (produkt_ID,prod_name,prod_group_ID,produkt_hier,ag_ID,imp_ID,conn_ID,Bemerkung) 
                                VALUES (?,?,?,?,?,?,?)");
            $stmt -> bind_param('sissiis', $prod['pname'],$prod['grp'],$prod['ag'],$phier,$prod['imp'],$prod['conn'],$prod['pbem']);
            $result -> $stmt -> execute();
        }
        if ($dbc->error) echo "error: " . $dbc->error . "<br \>sql=$sql<br \><br \>\n";
        if ($result)
        {
            echo "<p class='green'><b>Produktdaten zu ID '" . $prod['pnr'] . "' wurden erfolgreich gespeichert.</b></p>\n";
            echo "<br /><br />\n";
            
            // Anzeigen gespeicherter Produktdaten
            include ("inc/produkt_dat_show.inc.php");            
        }
        $dbc -> close();
        echo "</div>\n";
        echo "<p>&nbsp;&nbsp;&nbsp;<a href=\"prod_hier.php\" target=\"_self\" title=\"Produkthierarchie\">Zur Produkthierarchie</a></p>\n";    
        echo "<p>&nbsp;&nbsp;&nbsp;<a href=\"produkt_ins.php\" target=\"_self\" title=\"Produkt erfassen\">Weiteres Produkt erfassen</a></p>\n";    
 
    }
    
?>

</body>
</html>